---
title: "FreeBSD 7.0-RELEASE Announcement"
sidenav: download
---

++++


<p><b>Date:</b> Wed, 27 Feb 2008 17:19:52 -0500<br clear="none" />
   <b>From:</b> Ken Smith &lt;kensmith@FreeBSD.org&gt;<br clear="none" />
   <b>To:</b> freebsd-announce@FreeBSD.org<br clear="none" />
   <b>Subject:</b> [FreeBSD-Announce] FreeBSD 7.0-RELEASE Available</p>

<p>The FreeBSD Release Engineering Team is pleased to announce the availability
of FreeBSD 7.0-RELEASE.  This is the first release from the 7-STABLE branch
which introduces many new features along with many improvements to
functionality present in the earlier branches.  Some of the highlights:</p>

<ul>
  <li><p>Dramatic improvements in performance and SMP scalability shown by various
    database and other benchmarks, in some cases showing peak performance
    improvements as high as 350% over FreeBSD 6.X under normal loads and
    1500% at high loads.  When compared with the best performing Linux
    kernel (2.6.22 or 2.6.24) performance is 15% better.  Results are from
    benchmarks used to analyze and improve system performance, results with
    your specific work load may vary.  Some of the changes that contribute
    to this improvement are:</p>

    <ul>
	<li><p>The 1:1 libthr threading model is now the default.</p></li>
	<li><p>Finer-grained IPC, networking, and scheduler locking.</p></li>
	<li><p>A major focus on optimizing the SMP architecture that was
	  put in place during the 5.x and 6.x branches.</p></li>
    </ul>

    <p>Some benchmarks show linear scaling up to 8 CPUs.  Many workloads see
    a significant performance improvement with multicore systems.</p></li>

  <li><p>The ULE scheduler is vastly improved, providing improved performance
    and interactive response (the 4BSD scheduler is still the default for
    7.0 but ULE may become the default for 7.1).</p></li>
  <li><p>Experimental support for Sun's ZFS filesystem.</p></li>
  <li><p>gjournal can be used to set up journaled filesystems, gvirstor can
    be used as a virtualized storage provider.</p></li>
  <li><p>Read-only support for the XFS filesystem.</p></li>
  <li><p>The unionfs filesystem has been fixed.</p></li>
  <li><p>iSCSI initiator.</p></li>
  <li><p>TSO and LRO support for some network drivers.</p></li>
  <li><p>Experimental SCTP (Stream Control Transmission Protocol) support
    (FreeBSD's being the reference implementation).</p></li>
  <li><p>Much improved wireless (802.11) support.</p></li>
  <li><p>Network link aggregation/trunking (lagg(4)) imported from OpenBSD.</p></li>
  <li><p>JIT compilation to turn BPF into native code, improving packet capture
    performance.</p></li>
  <li><p>Much improved support for embedded system development for boards
    based on the ARM architecture.</p></li>
  <li><p>jemalloc, a new and highly scalable user-level memory allocator.</p></li>
  <li><p>freebsd-update(8) provides officially supported binary upgrades
    to new releases in addition to security fixes and errata patches.</p></li>
  <li><p>X.Org 7.3, KDE 3.5.8, GNOME 2.20.2.</p></li>
  <li><p>GNU C compiler 4.2.1.</p></li>
  <li><p>BIND 9.4.2.</p></li>
</ul>

<p>For a complete list of new features and known problems, please see the
online release notes and errata list, available at:</p>

<p><tt><a href="http://www.FreeBSD.org/releases/7.0R/relnotes.html" shape="rect">http://www.FreeBSD.org/releases/7.0R/relnotes.html</a></tt>
 <br clear="none" />
<tt><a href="http://www.FreeBSD.org/releases/7.0R/errata.html" shape="rect">http://www.FreeBSD.org/releases/7.0R/errata.html</a></tt></p>

<p>For more information about FreeBSD release engineering activities,
please see:</p>

<p><tt><a href="http://www.FreeBSD.org/releng/" shape="rect">http://www.FreeBSD.org/releng/</a></tt></p>

<h2>Availability</h2>

<p>FreeBSD 7.0-RELEASE is now available for the amd64, i386, ia64, pc98,
and powerpc architectures.  The version for the sparc64 architecture will
become available in a few days.  Some of the package builds are still
in progress.</p>

<p>FreeBSD 7.0 can be installed from bootable ISO images or over the network;
the required files can be downloaded via FTP or BitTorrent as described in
the sections below.  While some of the smaller FTP mirrors may not carry all
architectures, they will all generally contain the more common ones, such as
i386 and amd64.</p>

<p>MD5 and SHA256 hashes for the release ISO images are included at the
bottom of this message.</p>

<p>The contents of the ISO images provided as part of the release has changed
for most of the architectures.  Using the i386 architecture as an example,
there are ISO images named ``bootonly'', ``disc1'', ``disc2'', ``disc3'', ``livefs'',
and ``docs''.  The ``bootonly'' image is suitable for booting a machine to do a
network based installation using FTP or NFS.  The ``disc1'', ``disc2'',  and
``disc3'' images are used to do a full installation that includes a basic set
of packages and does not require network access to an FTP or NFS server
during the installation.  To boot into a ``live CD-based filesystem'' and
system rescue mode ``disc1'' and ``livefs'' are needed.  The ``docs'' image has
all of the documentation for all supported languages.  Most people will find
that ``disc1'', ``disc2'' and ``disc3'' are all that are needed if you want to
install some packages during the initial install, and just ``disc1'' if you
prefer to install packages after the initial install is completed.</p>

<p>FreeBSD 7.0-RELEASE can also be purchased on CD-ROM from several
vendors.  One of the vendors that will be offering FreeBSD 7.0-based
products is:</p>

<ul>
<li><p>FreeBSD Mall, Inc.
<tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></p></li>
</ul>

<h2>Bittorrent</h2>

<p>7.0-RELEASE ISOs are available via BitTorrent.  A collection of torrent
files to download the images is available at:</p>

<p><tt><a href="http://torrents.freebsd.org:8080/" shape="rect">http://torrents.freebsd.org:8080/</a></tt></p>

<h2>FTP</h2>

The primary mirror site is:

<p><tt><a href="ftp://ftp.freebsd.org/pub/FreeBSD/" shape="rect">ftp://ftp.freebsd.org/pub/FreeBSD/</a></tt></p>

<p>However, before trying the central FTP site, please check your regional
mirror(s) first by going to:</p>

<p><tt>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</tt></p>

<p>Any additional mirror sites will be labeled ftp2, ftp3 and so on.</p>

<p>More information about FreeBSD mirror sites can be found at:</p>

<p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p>

<p>For instructions on installing FreeBSD, please see Chapter 2 of The
FreeBSD Handbook.  It provides a complete installation walk-through
for users new to FreeBSD, and can be found online at:</p>

<p><tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p>

<h2>Updating Existing Systems</h2>

<p>An upgrade of any existing system to FreeBSD 7.0-RELEASE constitutes
a major version upgrade, so no matter which method you use to update an
older system you should reinstall any ports you have installed on the machine.
This will avoid binaries becoming linked to inconsistent sets of libraries
when future port upgrades rebuild one port but not others that link to it.
This can be done with:</p>

<p><tt># portupgrade -faP</tt></p>

<p>after updating your system.  Note some of the tools to help with this
or the instructions below for FreeBSD Update are not installed by default
(e.g. portupgrade, gpg, or similar tools like portmaster).</p>

<h3>Updates from Source</h3>

<p>The procedure for doing a source code based update is described in the
FreeBSD Handbook:</p>

<p><a href="http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/synching.html" shape="rect"><tt>http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/synching.html</tt></a></p>
<p><a href="http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html" shape="rect"><tt>http://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html</tt></a></p>

<p>The branch tag to use for updating the source is <tt>RELENG_7_0</tt>.</p>

<h3>FreeBSD Update</h3>

<p>Starting with FreeBSD 6.3, the freebsd-update(8) utility supports binary
upgrades of i386 and amd64 systems systems running earlier FreeBSD releases,
release candidates, and betas.  Users upgrading to FreeBSD 7.0 from
older releases (in particular, older than 7.0-RC1) will need to
download an updated version of freebsd-update(8) that supports upgrading
to a new release.</p>

<p><tt># fetch http://people.freebsd.org/~cperciva/freebsd-update-upgrade.tgz</tt></p>

Downloading and verifying the digital signature for the tarball
(signed by the FreeBSD Security Officer's PGP key) is highly
recommended.

<p><tt># fetch http://people.freebsd.org/~cperciva/freebsd-update-upgrade.tgz.asc</tt></p>
<p><tt># gpg --verify freebsd-update-upgrade.tgz.asc freebsd-update-upgrade.tgz</tt></p>

The new freebsd-update(8) can then be extracted and run as follows:

<p><tt># tar -xf freebsd-update-upgrade.tgz</tt></p>
<p><tt># sh freebsd-update.sh -f freebsd-update.conf -r 7.0-RELEASE upgrade</tt></p>
<p><tt># sh freebsd-update.sh -f freebsd-update.conf install</tt></p>

The system must be rebooted with the newly installed kernel before
continuing.

<p><tt># shutdown -r now</tt></p>

<p>Next, freebsd-update.sh needs to be run again to install the new userland
components, after which all ports should be recompiled to link to new
libraries:</p>

<p><tt># sh freebsd-update.sh -f freebsd-update.conf install</tt></p>
<p><tt># portupgrade -faP</tt></p>

<p>Finally, freebsd-update.sh needs to be run one last time to remove old
system libraries, after which the system should be rebooted in order
that the updated userland and ports will be running:</p>

<p><tt># sh freebsd-update.sh -f freebsd-update.conf install</tt></p>
<p><tt># shutdown -r now</tt></p>

<p>For more information, see:</p>

<p><tt><a href="http://www.daemonology.net/blog/2007-11-11-freebsd-major-version-upgrade.html" shape="rect">http://www.daemonology.net/blog/2007-11-11-freebsd-major-version-upgrade.html</a></tt></p>

<h2>Support</h2>

<p>The FreeBSD Security Team currently plans to support FreeBSD 7.0 until
February 28th, 2009.  For more information on the Security Team and
their support of the various FreeBSD branches see:</p>

<p><a href="http://www.freebsd.org/security/" shape="rect"><tt>http://www.freebsd.org/security/</tt></a></p>

<h2>Acknowledgments</h2>

<p>Many companies donated equipment, network access, or man-hours to
support the release engineering activities for FreeBSD 7.0 including
The FreeBSD Foundation, FreeBSD Systems, Hewlett-Packard, Yahoo!,
Network Appliances, and Sentex Communications.</p>

<p>The release engineering team for 7.0-RELEASE includes:</p>

	    <table border="0">
	      <tbody>
		<tr>
		  <td rowspan="1" colspan="1">Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering, amd64, i386 sparc64 Release Building, Mirror Site
		    Coordination</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering, Security</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Maxime Henrion &lt;<a href="mailto:mux@FreeBSD.org" shape="rect">mux@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Bruce A. Mah &lt;<a href="mailto:bmah@FreeBSD.org" shape="rect">bmah@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">George Neville-Neil &lt;<a href="mailto:gnn@FreeBSD.org" shape="rect">gnn@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Hiroki Sato &lt;<a href="mailto:hrs@FreeBSD.org" shape="rect">hrs@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org" shape="rect">murray@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Release Engineering</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Marcel Moolenaar &lt;<a href="mailto:marcel@FreeBSD.org" shape="rect">marcel@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">ia64, powerpc Release Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">PC98 Release Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org" shape="rect">kris@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Package Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Package Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Erwin Lansing &lt;<a href="mailto:erwin@FreeBSD.org" shape="rect">erwin@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Package Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Mark Linimon &lt;<a href="mailto:linimon@FreeBSD.org" shape="rect">linimon@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Package Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Pav Lucistnik &lt;<a href="mailto:pav@FreeBSD.org" shape="rect">pav@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Package Building</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Colin Percival &lt;<a href="mailto:cperciva@FreeBSD.org" shape="rect">cperciva@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Security Officer</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Simon Nielsen &lt;<a href="mailto:simon@FreeBSD.org" shape="rect">simon@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Deputy Security Officer</td>
		</tr>

		<tr>
		  <td rowspan="1" colspan="1">Peter Wemm &lt;<a href="mailto:peter@FreeBSD.org" shape="rect">peter@FreeBSD.org</a>&gt;</td>
		  <td rowspan="1" colspan="1">Bittorrent Coordination</td>
		</tr>
	      </tbody>
	    </table>

<h2>Trademark</h2>

<p>FreeBSD is a registered trademark of The FreeBSD Foundation.</p>

<h2>ISO Image Checksums</h2>

<pre xml:space="preserve">
MD5 (7.0-RELEASE-amd64-bootonly.iso) = 60ff91f3a0851077a2c335f830e1e028
MD5 (7.0-RELEASE-amd64-disc1.iso) = 0232f1b6ffde0e3e76034c9f10791acd
MD5 (7.0-RELEASE-amd64-disc2.iso) = 17be33da3bdddfce3b32e697724e021e
MD5 (7.0-RELEASE-amd64-disc3.iso) = 3d001985149acc50a5857626f20ddb93
MD5 (7.0-RELEASE-amd64-docs.iso) = b0877e52f08aecd2e70ce86bd1ceb554
MD5 (7.0-RELEASE-amd64-livefs.iso) = 6fea83a3679e8ac785c685f0e446788b

MD5 (7.0-RELEASE-i386-bootonly.iso) = cb4f8d05d07aa74f2038050e53673455
MD5 (7.0-RELEASE-i386-disc1.iso) = 5f185a688ef2e0db59105e8f439c8620
MD5 (7.0-RELEASE-i386-disc2.iso) = bb59156b4fc1f9c148095b8c239c827a
MD5 (7.0-RELEASE-i386-disc3.iso) = 44de27d5f6bcdbf14e3db38c84f12348
MD5 (7.0-RELEASE-i386-docs.iso) = bcf16778ecc73975024a8e6450ee4ba4
MD5 (7.0-RELEASE-i386-livefs.iso) = abe6773601feda1dc56dade0022fca59

MD5 (7.0-RELEASE-ia64-bootonly.iso) = 0acd75c4c191609bd5d39428c556f59c
MD5 (7.0-RELEASE-ia64-disc1.iso) = f79c20fcf15d084d1b1bc47023678ecf
MD5 (7.0-RELEASE-ia64-disc2.iso) = 517ae3572002f7deba02f5f35799bcee
MD5 (7.0-RELEASE-ia64-disc3.iso) = 2d6c64c4f3e166e8e329977c94c6ea72
MD5 (7.0-RELEASE-ia64-docs.iso) = 262a7dda8a7e0747807f1c32c293eb4b
MD5 (7.0-RELEASE-ia64-livefs.iso) = 1b4daa26d5a89130f7e45e85fd1501a7

MD5 (7.0-RELEASE-pc98-bootonly.iso) = 0359f519b7185b1747524d3a3a433f52
MD5 (7.0-RELEASE-pc98-disc1.iso) = 90889420c8afc72d8a3dbce45c21c716
MD5 (7.0-RELEASE-pc98-livefs.iso) = 583e4d51629a0c644495e56eb899b917

MD5 (7.0-RELEASE-powerpc-bootonly.iso) = ba968855e8ccfcdfce0657cf591307fa
MD5 (7.0-RELEASE-powerpc-disc1.iso) = b553330bd7ccc1683559a6507ab0e304
MD5 (7.0-RELEASE-powerpc-disc2.iso) = bb58530a5b623fad5f55d17cc382cc2d
MD5 (7.0-RELEASE-powerpc-disc3.iso) = d1dd0645b24f16aa01e2e3f6c88f189a
MD5 (7.0-RELEASE-powerpc-docs.iso) = 84a164f4795894b9bb247ea16c97c645

SHA256 (7.0-RELEASE-amd64-bootonly.iso) = 596bc89d0926fd15ae16d8f3c4c5735289c7553bdac8062284940830c26d2555
SHA256 (7.0-RELEASE-amd64-disc1.iso) = d3b206eb74df7559041dd9054de7352b9a67d4f350e75f433c7fb001bf4b5c6f
SHA256 (7.0-RELEASE-amd64-disc2.iso) = 296e02387794b06992c294450b4c6c07cc6a5530f415901492dcd721809d96b5
SHA256 (7.0-RELEASE-amd64-disc3.iso) = 683545d8768a3f7fa1ae5a2c0f2586e88a09b43b9b1f57da384c30339fd889e5
SHA256 (7.0-RELEASE-amd64-docs.iso) = 6d69c5c27a4e5891fed9a88e5825af803558c14281257bc3b325b00a2a62a966
SHA256 (7.0-RELEASE-amd64-livefs.iso) = 596b5f69d7f2c4e17f66e0fd1306a192cc03a700b0dce3532e95abffd5e5344a

SHA256 (7.0-RELEASE-i386-bootonly.iso) = 3184674f1833c7abdc687672188e1189f61d5f7239ba48df584787b8e1d0273b
SHA256 (7.0-RELEASE-i386-disc1.iso) = 7480c74dda9a78805ab0d647b23eb71cac43f4afce83ff65ad9f2019423583af
SHA256 (7.0-RELEASE-i386-disc2.iso) = 55c12b9c7239ee22e84594e07736c4b73e5788a6330cd76a199c1b99bd4bea51
SHA256 (7.0-RELEASE-i386-disc3.iso) = 2812afd48559c5b38338eee0697c33b25d9127f60b03eb04c77799ac6523dde0
SHA256 (7.0-RELEASE-i386-docs.iso) = 428fc1d0fc820326be04c673bd8c228fbccd0761d59e50b11dfd8e508820a661
SHA256 (7.0-RELEASE-i386-livefs.iso) = 6ca035fa860f6942b983de628fc1df829c22e7c55a7ab4d0bb342a5c53792f94

SHA256 (7.0-RELEASE-ia64-bootonly.iso) = a133c1acf597dc7a36ec0239cb4aa93ca08e85a95f47f3bad8e9eed4f494928e
SHA256 (7.0-RELEASE-ia64-disc1.iso) = 1d2c1de094705f095adf5ffc76e34da3ed8a881409766e5450b22a33a3c8626e
SHA256 (7.0-RELEASE-ia64-disc2.iso) = c628e4abfac5f87ea6a0ba899db023b21115ce817620d2a48a261e2af6daae56
SHA256 (7.0-RELEASE-ia64-disc3.iso) = 22b7192b52f7765a5f42fff284fe58eaaad068f2021ddcecbf11b9bd02a3db49
SHA256 (7.0-RELEASE-ia64-docs.iso) = a103f78ab620120c0fc945ad7b07b85c4a182f8e045b17dcfc8ba5faf9d21a88
SHA256 (7.0-RELEASE-ia64-livefs.iso) = 3adcd9e3afd3b52f75b1f4b0c0a02dbb6af4bcbc016b3837bd527a01702af847

SHA256 (7.0-RELEASE-pc98-bootonly.iso) = 8e6ee4327af57ed6ddb3c890c5cc8e8b051bbc51cfa7a1c7cd53bd4685dbc01d
SHA256 (7.0-RELEASE-pc98-disc1.iso) = c4ec9b975f68ea7f278462fff0db8f6138d57effa462e3b20035994155e93c4b
SHA256 (7.0-RELEASE-pc98-livefs.iso) = 20f6cc867590798c79716e771abf4c6880452defd5dcd0aed21161d54ab3d40e

SHA256 (7.0-RELEASE-powerpc-bootonly.iso) = 86a6398f34e9f933adfd717024dd3eefd4e209f940cc3487c047cb979ec8dbfa
SHA256 (7.0-RELEASE-powerpc-disc1.iso) = b75e61be2f3daac9898e61c7e00086fcc039bf894211800bd40335424e5afc7d
SHA256 (7.0-RELEASE-powerpc-disc2.iso) = 69ffdea7850aa2ebd609851ca22dfe2c92d1d7606ac621e99de3b6e2998be553
SHA256 (7.0-RELEASE-powerpc-disc3.iso) = 1f1cacb35e647e3480c120ba19e8b3b55b8d02f98b7672784a5e729ced840a48
SHA256 (7.0-RELEASE-powerpc-docs.iso) = e6c2965dbced365738c7816dfaf47ab2eec450aff2dd8d9ae4ee10d015458785
</pre>

  </div>
          <br class="clearboth" />
        </div>
        
++++

